body {
  background: #4a4a4a 0% 0% no-repeat padding-box;
  margin: auto;
  color: #ffffff;
  font-size: 1rem;
  font-weight: 400;
  line-height: 1.5;
  text-align: left;
}
.wrapper {
  margin-top: 10px;
}
.header {
  margin: 10px;
  background: #000000 0% 0% no-repeat padding-box;
  height: 100px;
}
.header-text {
  display: flex;
  text-align: center;
  font: normal normal normal 24px/29px Roboto;
  color: #ffffff;
  align-items: center;
  height: 90%;
  padding-left: 16px;
  padding-top: 35px;
}
.sidebar {
  background: #272727 0% 0% no-repeat padding-box;
  height: auto;
  margin-left: 10px;
  margin-right: 10px;
  /*width: 290px;*/
}
.row-header-text {
  display: flex;
  text-align: center;
  height: 100%;
  padding-left: 16px;
  align-items: center;
  font: normal normal normal 16px/19px Roboto;
  color: #ffffff;
}
.sidebar p {
  text-align: left;
  font-size: 14px;
  font-family: Roboto;
  letter-spacing: 0px;
  color: #ffffff;
  padding-left: 16px;
  line-height: 17px;
  padding-bottom: 10px;
}
.row-search {
  grid-column: 2 / -1;
  background: #272727;
  display: grid;
  margin: 0 10px 0 10px;
}
.datatime {
  margin-left: 2px;
  height: 36px;
  /*width: 260px;*/
  width: auto;
}
.search-calendar {
  margin-left: 20px;
  width: 120px;
  height: 36px;
  background: #fa6200 0% 0% no-repeat padding-box;
  box-shadow: 0px 2px 4px #00000059;
  border: 1px solid #fa6200;
  text-align: left;
  color: #ffffff;
  text-align: center;
  font: normal normal normal 16px/19px Roboto;
}
.search-calendar.hover {
  cursor: pointer;
  transition-duration: 0.4s;
}
.search-calendar.hover:hover {
  box-shadow: 0 12px 16px 0 rgba(0, 0, 0, 0.24),
    0 17px 50px 0 rgba(0, 0, 0, 0.19);
}
.row-header {
  background: #000000 0% 0% no-repeat padding-box;
  height: 40px;
  margin-right: 0;
}
.row-draw-lotto {
  grid-column: 1 / -1;
  background: #272727 0% 0% no-repeat padding-box;
  height: 245px;
  margin: 0 10px 0 10px;
}
.draw-lotto {
  text-align: left;
  color: #ffffff;
  background: #000000 0% 0% no-repeat padding-box;
}
td {
  padding: 10px;
  font: normal normal normal 14px/17px Roboto;
  color: #ffffff;
}
td span {
  display: block;
  animation: spin-letters 5s linear;
}
@keyframes spin-letters {
  0%, 10% {
    opacity: 0;
    transform: rotateY(90deg);
  }
  30% {
    opacity: 1;
  }
  70%, 86% {
    transform: rotateY(0);
    opacity: 1;
  }
}
tr {
  border-bottom: 1pt solid black;
}
td:first-child {
  position: relative;
}
td:first-child:before {
  border-right: 1px solid #000;
  content: "";
  position: absolute;
  right: 0;
  top: 12px;
  bottom: 12px;
}

table {
  width: 100%;
  border-collapse: collapse;
}
#current_draw {
  background: rgb(34, 33, 33);
}
thead {
  background: #000000 0% 0% no-repeat padding-box;
  height: 40px;
}
th {
  font-size: 12px;
  font-family: Roboto;
  padding-left: 16px;
}
th:first-child {
  width: 130px;
}
tbody > tr {
  height: 41px;
}
/* 
.flex {
  display: flex;
}*/

tbody > tr:last-child {
  border-bottom: none;
}
.transition-item {
  transform-origin: 0 0;
  transform: translateY(10px);
  transition-property: transform, opacity;
  transition-duration: 2s;
  transition-timing-function: ease-in;
  transition: all 1s ease-in-out;
}

.ribbon {
  position: absolute;
  z-index: 100;
  width: 120px;
  height: 100px;
  overflow: hidden;
}
.ribbon.top-right {
  top: 10px;
  right: 10px;
}

.ribbon.top-right.ribbon-success > small {
  height: 8%;
  background-size: 100%;
  background-image: linear-gradient(to bottom, #fe6303 0%, #fe6303 100%);
  position: absolute;
  display: block;
  width: 100%;
  padding: 8px 16px;
  text-align: center;

  color: #fff;
  font-family: "Roboto Black", arial;
  font-size: 15px;
  background-color: #fe6303;
  -moz-transform: rotate(45deg);
  -ms-transform: rotate(45deg);
  -webkit-transform: rotate(45deg);
  transform: rotate(45deg);
  top: 16px;
  left: 17px;
  padding-bottom: 10px;
}
.row-search .row-content {
  display: inline-flex;
  height: 70px;
  align-items: center;
  justify-content: center;
}

/************* Meddia queries **********************/
@media (min-width: 576px) {
  .header {
    margin: 10px;
    background: #000000 0% 0% no-repeat padding-box;
    height: 100px;
    /*width: 1190px; */
  }
  .wrapper {
    padding-right: 15px;
    padding-left: 15px;
    margin-right: auto;
    margin-left: auto;
  }
  .flex {
    display: grid;
    row-gap: 30px;
  }
  .sidebar {
    width: 100% !important;
    flex-wrap: wrap;
    margin-left: 10px;
    margin-right: 10px;
  }
  .ribbon.top-right {
    margin-right: 10px;
  }
  .main {
    height: auto;
    margin-left: 10px;
    margin-left: 10px;
    transform-style: preserve3d;

  }
  .row-header {
    margin-right: 10px;
  }
  .datatime {
    margin-left: 2px;
  }
  .row-search .row-content {
    justify-content: center;
  }
}
@media (max-width: 600px) {
  .header {
    margin: 10px;
    background: #000000 0% 0% no-repeat padding-box;
    height: 100px;
  }
  .wrapper {
    margin-right: auto;
    margin-left: auto;
  }
  .flex {
    display: grid;
    row-gap: 10px;
  }
  .sidebar {
    
    flex-wrap: wrap;
    margin-left: 10px;
    margin-right: 10px;
  }
  .row-search {
    margin: 0;
  }
  .ribbon.top-right {
    margin-right: 10px;
  }
  .datatime {
    margin-left: 2px;
  }
  .row-search .row-content {
    justify-content: center;
  }
  .row-draw-lotto {
    margin: 0;
    margin-top: 10px;
  }
}
@media (min-width: 601px) {
  .wrapper {
    margin-left: 40px;
    margin-right: 40px;
  }
  .sidebar {
    max-width: 25% !important;
    flex-wrap: wrap;
    margin-left: 10px;
    margin-right: 0px;
  }
  .header {
    margin-left: 65px;
    margin-right: 65px;
    background: #000000 0% 0% no-repeat padding-box;
    padding-left: 15px;
    /*width: 91%;*/
  }
  .header .header-container {
    width: 100%;
  }
  .main {
    display: grid;
    row-gap: 10px;
    grid-template-rows: 164px auto;
    /*width: 890px;*/
    width: 100%;
  }
  .ribbon.top-right {
    margin-right: 55px;
  }
  .flex {
    display: inline-flex;
    row-gap: 30px;
    width: 100%;
  }
  .row-header {
    margin-right: 0;
  }
  .datatime {
    margin-left: 16px;
  }
  .row-search .row-content {
    justify-content: left;
  }
}

